[Bug 243937] lang/python38: Fails to package in certain conditions due to DISABLED_EXTENSIONS not working

From: <bugzilla-noreply_at_freebsd.org>
Date: Sun, 06 Jun 2021 01:03:26 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243937

--- Comment #12 from John Hein <jcfyecrayz_at_liamekaens.com> ---
This patch still applies for python38-3.8.10.  And it is still needed.

Reproduce with:

% sudo poudriere bulk -i -C -v -v -j jailX -p portsX x11-toolkits/py-tkinter
databases/gdbm databases/py-sqlite3
 .
 .
[00:02:28] Entering interactive test mode. Type 'exit' when done.
root_at_jailX-portsX:~ # cd /usr/ports/lang/python38
root_at_jailX-portsX:~ # make clean stage check-plist
 .
 .
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/python%%XYDOT%%/lib-dynload/_gdbm.cpython-38.so
Error: Orphaned: lib/python%%XYDOT%%/lib-dynload/_sqlite3.cpython-38.so
Error: Orphaned: lib/python%%XYDOT%%/lib-dynload/_tkinter.cpython-38.so
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1


And now that python39 is in the ports tree, it fails the same way.

-- 
You are receiving this mail because:
You are on the CC list for the bug.
Received on Sun Jun 06 2021 - 01:03:26 UTC

Original text of this message